## lua-lsqlite3 0.9.6

=== Makefile ===
# Makefile for lsqlite3 library for Lua

LIBNAME= lsqlite3

LUAEXE= ./lua

ROCKSPEC= $(shell find . -name $(LIBNAME)-*-*.rockspec ! -path './lua_modules/*')

all: install

install:
	luarocks make $(ROCKSPEC)

test: 
	$(LUAEXE) test/test.lua
	$(LUAEXE) test/tests-sqlite3.lua lsqlite3
	$(LUAEXE) test/tests-sqlite3.lua lsqlite3complete

.PHONY: all test install

=== debian/changelog ===
lua-lsqlite3 (0.9.6-1) unstable; urgency=medium

  * Initial release (Closes: #1040909)

 -- Yangfl <mmyangfl@gmail.com>  Sat, 17 Aug 2024 22:36:56 +0800

=== debian/control ===
Source: lua-lsqlite3
Section: interpreters
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-lua,
 libsqlite3-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://lua.sqlite.org/
Vcs-Git: https://salsa.debian.org/yangfl-guest/lsqlite3.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/lsqlite3

Package: lua-lsqlite3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Lua wrapper for the SQLite3 library
 LuaSQLite 3 is a thin wrapper around the public domain SQLite3 database engine.
 The lsqlite3 module supports the creation and manipulation of SQLite3
 databases. Most sqlite3 functions are called via an object-oriented interface
 to either database or SQL statement objects.

Package: lua-lsqlite3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, lua-lsqlite3 (= ${binary:Version})
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Lua wrapper for the SQLite3 library - development files
 LuaSQLite 3 is a thin wrapper around the public domain SQLite3 database engine.
 The lsqlite3 module supports the creation and manipulation of SQLite3
 databases. Most sqlite3 functions are called via an object-oriented interface
 to either database or SQL statement objects.
 .
 This package contains the header files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@ --buildsystem=lua --with lua

execute_after_dh_clean:
	$(RM) -f debian/trash

=== debian/watch ===
version=4
opts="" \
   http://lua.sqlite.org/ \
   .*/lsqlite3_.*\.zip\?uuid=v(\d[\d.]*)
